Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
MultipleKeyDatabaseEntry..::.GetEnumerator Method
MultipleKeyDatabaseEntry Class See Also Send Feedback

Return an enumerator which iterates over all DatabaseEntry pairs represented by the MultipleKeyDatabaseEntry.

Namespace: BerkeleyDB
Assembly: libdb_dotnet53 (in libdb_dotnet53.dll) Version: 5.3.28.0

# Syntax

C#
    public IEnumerator<KeyValuePair<DatabaseEntry, DatabaseEntry>> GetEnumerator()

Visual Basic (Declaration)
    Public Function GetEnumerator As IEnumerator(Of KeyValuePair(Of DatabaseEntry, DatabaseEntry))

Visual C++
    public:
    virtual IEnumerator<KeyValuePair<DatabaseEntry^, DatabaseEntry^>>^ GetEnumerator() sealed

#### Return Value

An enumerator for the MultipleDatabaseEntry

#### Implements

IEnumerable<(Of <(T>)>)..::.GetEnumerator()()()

# See Also

MultipleKeyDatabaseEntry Class
BerkeleyDB Namespace